      implicit none 
      integer NX, NY
      parameter(NX=212, NY=124)
      integer NPER
      parameter(NPER=100)
      real lat(NX,NY)
      real lon(NX,NY)
      real corr(NX,NY)
      character str*3
      integer i,j,k, idi, jdj
      real xlt, xln
      real xlat, xlon, xvel, xwt
      real r2, sumn, sumw, sumc

      real permin(NX,NY)
      integer indx(NPER),period(NPER)
      character*14 fname(NPER)
      integer mper, indrd
      real  perrd
      character*14 fnamerd

      real dmin

      dmin = 50.0
      
c-----
c     initilize geographical grid
c-----
      do i=1,NX
         do j=1,NY
            permin(i,j) = -12345.
            lat(i,j) = -12345.
            lon(i,j) = -12345.
         enddo
      enddo
c-----
c     get the unique periods and the file name
c-----
      mper = 0
      open(1,file='per.uniq.NUM',form='formatted',
     1      access='sequential',status='old')
      rewind 1
c 058      46.00 vc_058_001.xyz
c IIIxFFFFFFFFFFxAAAAAAAAAAAAAA
c i3.3,1x,f10.2,1x,a14
 2000 continue
         read(1,'(i3.3,1x,f10.2,1x,a14)',end=2001)indrd,perrd,fnamerd
C        write(0,*)mper,indrd,perrd,fnamerd
         mper = mper + 1
         indx(mper) = indrd
         period(mper) = perrd
         fname(mper) = fnamerd
      go to 2000
 2001 continue
      close (1)
c-----
c     now read the files to set the minimum period
c-----
      do k=1,mper
         open(1,file=fname(k),form='formatted',
     1         access='sequential',status='old')
         rewind 1
         do i=1,NX
            do j=1,NY
c-----
c     later test to see that xlat = lat(i,j)
c-----
               read(1,*,end=2999)xlat,xlon,xvel,xwt
               if(lat(i,j).lt.-10000)then
                   lat(i,j) = xlat
               endif
               if(lon(i,j).lt.-10000)then
                   lon(i,j) = xlon
               endif
               if(xwt.gt.dmin)then
                   if(permin(i,j).lt.0)then
                       permin(i,j) = period(k)
                   endif
               endif
            enddo
         enddo
 2999 continue
      close(1)
      enddo
c-----
c     now output the results
c-----
      do i=1,NX
         do j=1,NY
           if(permin(i,j).gt.0.0)then
                write(6,'(3f11.3)')lat(i,j),lon(i,j),permin(i,j)
           endif
         enddo
      enddo
      
      end
